Skip to main content
PATCH
Core - Update datapoint
Related guide: Datasets guide. See the Datasets guide for a walkthrough with examples.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
required

The unique identifier of the dataset

datapoint_id
string
required

The unique identifier of the datapoint

Body

application/json
inputs
object

Structured variables passed to the prompt or workflow.

messages
any[]

A JSON array containing dynamically typed values.

expected_output
string

Response

Dataset item updated.

A datapoint stores the inputs, messages, and expected output used in dataset evaluations.

dataset_id
string
required

Dataset that owns the datapoint.

created_by_id
string
required

Account that created the datapoint.

updated_by_id
string
required

Account that last updated the datapoint.

_id
string
required

Unique datapoint identifier.

inputs
object

Structured variables passed to the prompt or workflow.

messages
any[]

A JSON array containing dynamically typed values.

expected_output
string

Reference output expected for this datapoint.

evaluations
any[]

A JSON array containing dynamically typed values.

snapshot_version
string

Dataset snapshot version that includes the datapoint.

created
string

RFC3339 timestamp when the datapoint was created.

updated
string

RFC3339 timestamp when the datapoint was last updated.

workspace_id
string
read-only

Workspace that owns the datapoint, derived from the authentication context.